#include <SFML/Graphics.hpp>
#include <Squared.hpp>

int main()
{
    sf::RenderWindow window(sf::VideoMode({400, 300}), "Squared example");
    window.setFramerateLimit(60);
    
    squ::Frame image;
    image.loadFromFile("squared.squ");

    while (window.isOpen())
    {
        while (auto event = window.pollEvent())
        {
            if (event->is<sf::Event::Closed>())
                window.close();
        }

        window.clear();
        window.draw(image);
        window.display();
    }

    return 0;
}